#include <windows.h>
#include "LPTheme.h"


HINSTANCE hInst;




#ifdef __BORLANDC__
#pragma argsused
#endif
BOOL WINAPI DllMain(HINSTANCE hInstance,DWORD dwReason,LPVOID pvReserved)
{
	if (dwReason==DLL_PROCESS_ATTACH)
		hInst=hInstance;
	return TRUE;
}


LP_THEME_EXPORT(UINT) LPThemeGetVersion(void)
{
	return LP_THEME_VERSION_0;
}


LP_THEME_EXPORT(void) LPThemeGetInfo(LPThemeInfo *pInfo)
{
	pInfo->Flags          = LP_THEME_FLAG_LOGO | LP_THEME_FLAG_TOOLBAR |
	                        LP_THEME_FLAG_PLAYBAR | LP_THEME_FLAG_PLAYLIST;
	pInfo->pszName        = L"Sample";
	pInfo->pszCopyright   = L"Copyright(c) itow,y.";
	pInfo->pszDescription = L"Sample icons";
}


LP_THEME_EXPORT(BOOL) LPThemeGetToolbarInfo(LPThemeToolbarInfo *pInfo)
{
	switch (pInfo->Type) {
	case LP_TOOLBAR_TYPE_TOOLBAR:
	case LP_TOOLBAR_TYPE_PLAYBAR:
	case LP_TOOLBAR_TYPE_PLAYLIST:
		pInfo->Flags            = LP_TOOLBAR_FLAG_MAP3DCOLORS;
		pInfo->Width            = 16;
		pInfo->Height           = 16;
		pInfo->TransparentColor = RGB(255,0,255);
		break;
	default:
		return FALSE;
	}
	return TRUE;
}
